Skip to main content
GET
/
businesses
/
me
/
voice-clones
curl https://app.neariq.io/api/businesses/me/voice-clones
Voice clone APIs manage saved voice profiles for the active business. Creating a voice profile is available on Agency plans and higher and does not spend video credits. Using a saved voice in a completed video composite follows the normal video/composite credit rules. Provider voice identifiers are never returned. API responses use NearIQ voice profile IDs only.

Plan limits

PlanSaved voice profiles
Starter0
Growth0
Agency1
Enterprise2
Scale3
Unlimited5

List voice profiles

curl https://app.neariq.io/api/businesses/me/voice-clones
{
  "clones": [
    {
      "id": "b8e41b98-8a18-4f98-a9d4-7c4a56a104c2",
      "name": "Owner voice",
      "isDefault": true,
      "createdAt": "2026-05-14T12:00:00.000Z",
      "updatedAt": "2026-05-14T12:00:00.000Z",
      "lastUsedAt": null
    }
  ],
  "count": 1,
  "limit": 1,
  "canCreate": false,
  "voiceCloningEnabled": true,
  "unavailableReason": "You've used all 1 voice clone slots on your plan."
}

Create a voice profile

POST /api/businesses/me/voice-clones accepts multipart/form-data.
FieldTypeRequiredNotes
audiofileyesMP3, WAV, M4A, OGG, or WebM. Max 10 MB.
namestringnoDisplay name, max 80 characters.
consentConfirmedboolean stringyesMust be true.
curl https://app.neariq.io/api/businesses/me/voice-clones \
  -X POST \
  -F "name=Owner voice" \
  -F "consentConfirmed=true" \
  -F "audio=@voice-sample.wav"

Update a voice profile

PATCH /api/businesses/me/voice-clones renames a profile or sets it as the business default narration voice.
{
  "id": "b8e41b98-8a18-4f98-a9d4-7c4a56a104c2",
  "isDefault": true
}

Delete a voice profile

curl "https://app.neariq.io/api/businesses/me/voice-clones?id=b8e41b98-8a18-4f98-a9d4-7c4a56a104c2" \
  -X DELETE
If the deleted profile was the default and another profile remains, NearIQ marks the oldest remaining profile as default.

Access

Users must be authenticated and have access to the active business. Organization members need the manage_voice permission for create, update, and delete actions.